package com.qmth.teachcloud.report.business.bean.result.inspectCourseExamTotal;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考试基础信息
 * @Author: CaoZixuan
 * @Date: 2021-06-10
 */
public class ExamBaseInfo implements Serializable {

    @ApiModelProperty(value = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "考查学院总数")
    private Integer collegeCount;

    @ApiModelProperty(value = "课程总数")
    private Integer courseCount;

    @ApiModelProperty(value = "公共课总数")
    private Integer publicCourseCount;

    @ApiModelProperty(value = "专业课总数")
    private Integer majorCourseCount;

    @ApiModelProperty(value = "总课次")
    private int totalCourseTimes;

    @ApiModelProperty(value = "实际课次")
    private int realityCourseTimes;

    @ApiModelProperty(value = "缺考课次")
    private int absentCourseTimes;

    @ApiModelProperty(value = "总人数")
    private Integer totalCount;

    @ApiModelProperty(value = "实际参考人数")
    private Integer realityCount;

    @ApiModelProperty(value = "缺考人数")
    private Integer absentCount;

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public Integer getCollegeCount() {
        return collegeCount;
    }

    public void setCollegeCount(Integer collegeCount) {
        this.collegeCount = collegeCount;
    }

    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    public Integer getPublicCourseCount() {
        return publicCourseCount;
    }

    public void setPublicCourseCount(Integer publicCourseCount) {
        this.publicCourseCount = publicCourseCount;
    }

    public Integer getMajorCourseCount() {
        return majorCourseCount;
    }

    public void setMajorCourseCount(Integer majorCourseCount) {
        this.majorCourseCount = majorCourseCount;
    }

    public int getTotalCourseTimes() {
        return totalCourseTimes;
    }

    public void setTotalCourseTimes(int totalCourseTimes) {
        this.totalCourseTimes = totalCourseTimes;
    }

    public int getRealityCourseTimes() {
        return realityCourseTimes;
    }

    public void setRealityCourseTimes(int realityCourseTimes) {
        this.realityCourseTimes = realityCourseTimes;
    }

    public int getAbsentCourseTimes() {
        return absentCourseTimes;
    }

    public void setAbsentCourseTimes(int absentCourseTimes) {
        this.absentCourseTimes = absentCourseTimes;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }
}
